Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 807658 - drop gnash-klash
Summary: drop gnash-klash
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnash
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-28 12:24 UTC by Karel Volný
Modified: 2016-12-20 12:12 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 12:12:06 UTC
Type: ---


Attachments (Terms of Use)

Description Karel Volný 2012-03-28 12:24:46 UTC
Description of problem:
Trying to view videos on Youtube with Konqueror + gnash-klash does not work with KHTML chosen. However, it works with WebKit.

Version-Release number of selected component (if applicable):
kde-baseaps-4.8.1-1.fc17
gnash-klash-0.8.10-2.fc17

How reproducible:
always

Steps to Reproduce:
1. install gnash-klash (not gnash-plugin)
2. make sure Konqueror uses KHTML, not WebKit
3. try to play some flash video from youtube.com
  
Actual results:
black rectangle instead of the video player, page "loading" forever

Expected results:
normal video playback

Additional info:
note that to use gnash-plugin, gnash-klash has to be uninstalled - there doesn't seem to be a way to turn -klash off in favour of -plugin within Konqueror; with -plugin, Konqueror/KHTML obviously does something, it can play the audio but the player is crippled, the video mostly doesn't work and the player controls are unavailable (except for the big start playback button after loading the page)

Comment 1 Rex Dieter 2012-03-28 13:34:41 UTC
When you say gnash-klash does works with webkit, is gnash-plugin installed or not?

(If so, I'm guessing that qtwebkit is using gnash-plugin instead, and not gnash-klash at all)

Comment 2 Kevin Kofler 2012-03-28 13:37:31 UTC
As far as I know, QtWebKit doesn't supports KParts at all, it always uses gnash-plugin.

The fact that gnash-plugin doesn't work properly in Konqueror is also known, that's the main reason why there's -klash in the first place. I guess it should be fixable though, Konqueror does support Mozilla plugins in principle.

As for Klash not working on YouTube, I think that's because it does not support sharing cookies with the browser, and as far as I know there's simply no interface for that in KParts.

As a workaround, I can only suggest using the YouTube HTML 5 beta, that one mostly works in KHTML for me (I don't have Flash, Gnash, Klash or anything like that installed at all), though often I have to click several times on Play for it to actually play and it does not support seeking.

Alternatives include Minitube and downloaders such as cclive or youtube-dl.

Comment 3 Rex Dieter 2012-03-28 13:48:30 UTC
ok, let's bounce this over to gnash (for now).  (I'm testing if a quick-n-dirty rebuild against kde-4.8.x helps any)

Comment 4 Kevin Kofler 2012-03-28 14:01:12 UTC
I doubt it. As far as I know, Klash has been broken on YouTube for ages. (In fact, that was exactly what got me to stop using Gnash/Klash: I stopped using and maintaining Gnash because Klash just didn't work anymore on many sites including YouTube. Most sites require a newer ActionScript VM, YouTube still supports the older one, but requires cookies, which don't work properly in Klash.) It's not something a simple rebuild can fix.

Comment 5 Karel Volný 2012-03-30 12:20:49 UTC
guys, sorry, I got totally confused

as for youtube, looking closer at it, it seems that it tries to use HTML5 by default - which works with WebKit and gives strange results with KHTML

so I went to http://www.adobe.com/software/flash/about/ and the results are:

KHTML+klash    (nothing)
KHTML+plugin   You have version 10,1,999,0 installed
WebKit+klash   (nothing)
WebKit+plugin  You have version 10,1,999,0 installed

(note that I had installed only one of gnash-plugin and gnash-klash at the same time)

so I'd suggest dropping gnash-klash completely as it doesn't work in any case, and to try to fix problems with gnash-plugin - which does NOT include problems with YouTube as flash doesn't seem to be in use any more; however these should be filed as KHTML HTML5 problems ...


p.s.

> Alternatives include Minitube and downloaders such as cclive or youtube-dl.

not an alternative when you're setting up the system for your mother-in-law who doesn't care about all those patent and licensing and whatever issues, and just wants to browse the web with all those bells and whistles

Comment 6 Hicham HAOUARI 2012-04-02 10:39:01 UTC
(In reply to comment #5)

> 
> so I'd suggest dropping gnash-klash completely as it doesn't work in any case,
> and to try to fix problems with gnash-plugin - which does NOT include problems
> with YouTube as flash doesn't seem to be in use any more; however these should
> be filed as KHTML HTML5 problems ...
> 

If KDE SIG is OK with that, it is OK for me. ( less trouble for me :)  )

Comment 7 Kevin Kofler 2012-04-02 14:14:48 UTC
I'm not sure what to do about this. On one hand, Klash is nice in theory, on the other hand, it's very buggy and seems basically unmaintained. :-(

Have you talked to upstream about the issue(s)?

Comment 8 Fedora End Of Life 2013-07-03 22:36:30 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2013-08-01 00:36:14 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Karel Volný 2013-08-29 12:54:55 UTC
(In reply to Kevin Kofler from comment #7)
> Have you talked to upstream about the issue(s)?

no

well ... is there _any_ demand for fixing klash?


trying to open the test directly:
http://www.adobe.com/swf/software/flash/about/flashAbout_info_small.swf

I'm getting just empty window

OTOH it works in qt4-gnash provided also by gnash-klash package ...


I still think that it'd be better to just drop it

Comment 11 Kevin Kofler 2013-08-30 01:27:49 UTC
I gave up on gnash ages ago (and also handed over the package to a new maintainer), and klash being totally broken was one of the reasons.

Comment 12 Jan Kurik 2015-07-15 15:10:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 13 Fedora Admin XMLRPC Client 2016-11-07 12:22:19 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Fedora End Of Life 2016-11-24 10:38:16 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2016-12-20 12:12:06 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.